dbXML API

## com.dbxml.db.core.query.plan.logical
Class BooleanValue

    java.lang.Object
      com.dbxml.db.core.query.plan.QueryNode
          com.dbxml.db.core.query.plan.logical.LogicalQueryNode
              com.dbxml.db.core.query.plan.logical.Value
                  com.dbxml.db.core.query.plan.logical.BooleanValue

public final class BooleanValue
extends Value

BooleanValue

Constructor Summary
`BooleanValue(boolean value)`

Method Summary
`boolean` `equals(java.lang.Object obj)`
`boolean` `getValue()`

Methods inherited from class com.dbxml.db.core.query.plan.logical.Value
`newBooleanValue, newDateValue, newFloatValue, newFloatValue, newIntValue, newIntValue, newIntValue, newIntValue, newIntValue, newStringValue, newStringValue, newValueSet, newValueSet`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BooleanValue

    public BooleanValue(boolean value)

Method Detail

### getValue

    public boolean getValue()

### equals

    public boolean equals(java.lang.Object obj)

dbXML API

Copyright (c) 2004 The dbXML Group